## NAME

db.databases - Lists all databases for a given driver and location.

## KEYWORDS

database, attribute table, SQL

## SYNOPSIS

db.databases
db.databases --help
db.databases [driver=name] [location=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

driver=name
  Name of database driver
  Options: dbf, odbc, ogr, pg, sqlite
  Default: sqlite
location=name
  Location
  Path for SQLite driver, or connection string for PostgreSQL driver

## DESCRIPTION

db.databases lists all databases for a given driver and optionally location.

## NOTES

Currently supported database drivers are SQLite, PostgreSQL, and ODBC.

Default location for SQLite driver is the full path for the current mapset. For PostgreSQL driver it's empty connection string.

## EXAMPLES

List SQLite databases in the current mapset:

    db.databases driver=sqlite

List SQLite databases in a given directory:

    db.databases driver=sqlite location=/opt/sqlite

List PostgreSQL databases from database server running on given port:

    db.databases driver=pg location="host=server_name port=5333"

## SEE ALSO

db.columns, db.describe, db.drivers, db.execute, db.login, db.tables

GRASS SQL interface

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy
Updated for GRASS 7 by Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: db.databases source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC1 Reference Manual